"""Update ban and mute fields

Revision ID: 8f378bcf99e0
Revises: 401e7f4a7484
Create Date: 2023-04-16 03:35:13.584292

"""
import sqlmodel
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "8f378bcf99e0"
down_revision = "401e7f4a7484"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "users",
        sa.Column("ban_expires", sa.Integer(), server_default="0", nullable=False),
    )
    op.add_column(
        "users",
        sa.Column(
            "ban_reason",
            sqlmodel.sql.sqltypes.AutoString(),
            server_default="",
            nullable=False,
        ),
    )
    op.add_column(
        "users",
        sa.Column("mute_expires", sa.Integer(), server_default="0", nullable=False),
    )
    op.add_column(
        "users",
        sa.Column(
            "mute_reason",
            sqlmodel.sql.sqltypes.AutoString(),
            server_default="",
            nullable=False,
        ),
    )
    op.drop_column("users", "muted_until")
    op.drop_column("users", "banned_until")
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("users", sa.Column("banned_until", sa.INTEGER(), nullable=False))
    op.add_column("users", sa.Column("muted_until", sa.INTEGER(), nullable=False))
    op.drop_column("users", "mute_reason")
    op.drop_column("users", "mute_expires")
    op.drop_column("users", "ban_reason")
    op.drop_column("users", "ban_expires")
    # ### end Alembic commands ###
